Bug 156709 - ide ppc: packet command error; opcode unknown; CD-R
ide ppc: packet command error; opcode unknown; CD-R
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-03 11:14 EDT by John Reiser
Modified: 2015-01-04 17:19 EST (History)
8 users (show)

See Also:
Fixed In Version: 2.6.24.4-64.fc8.ppc
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 23:03:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2005-05-03 11:14:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
At boot, /var/log/messages gets these errors (PowerPC Mac mini):
-----
May  3 14:54:41 mini kernel: hda: ST940110A, ATA DISK drive
May  3 14:54:41 mini kernel: hdb: MATSHITACD-RW CW-8123, ATAPI CD/DVD-ROM drive
May  3 14:54:41 mini kernel: hda: Enabling Ultra DMA 5
May  3 14:54:41 mini kernel: hdb: Enabling Ultra DMA 2
May  3 14:54:41 mini kernel: hda: max request size: 1024KiB
May  3 14:54:42 mini kernel: hda: 78140160 sectors (40007 MB) w/2048KiB Cache, CHS=16383/255/63, UDMA(100)
May  3 14:54:42 mini kernel: hda: cache flushes supported
May  3 14:54:42 mini kernel:  hda: [mac] hda1 hda2 hda3 hda4 hda5 hda6
May  3 14:54:42 mini kernel: hdb: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
May  3 14:54:42 mini kernel: SELinux: initialized (dev hda4, type ext3), uses xattr
May  3 14:54:43 mini kernel: hdb: packet command error: status=0x51 { DriveReady SeekComplete Error }
May  3 14:54:43 mini kernel: hdb: packet command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
May  3 14:54:43 mini kernel: ide: failed opcode was: unknown
May  3 14:54:43 mini kernel: hdb: packet command error: status=0x51 { DriveReady SeekComplete Error }
May  3 14:54:43 mini kernel: hdb: packet command error: error=0x54 { AbortedCommand LastFailedSense=0x05 }
May  3 14:54:43 mini kernel: ide: failed opcode was: unknown
-----

This is new with kernel 2.6.11-1.1275, 1276, and 1282.  The lines did not appear for kernel 1268.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1282_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot kernel-2.6.11-1.1282_FC4 on Mac mini (PowerPC)
2. look at /var/log/messages
3.
  

Actual Results:  Complaints of "packet command error" with unknown opcode.

Expected Results:  No complaints.

Additional info:
Comment 1 Dave Jones 2005-05-09 19:41:50 EDT
Alan, 1282 was the first kernel where we included your recent ide fixes.
Comment 2 Alan Cox 2005-05-10 06:37:45 EDT
Ok this looks like its just logging more than perhaps the user actually cares
about. I will double check.
Comment 3 Alan Cox 2005-05-10 06:42:22 EDT
Looking at the report this changed before new IDE since it changed at
2.6.11-1.1275 not 2.6.11-1.1282. What IDE or PPC changes went in then I wonder,
because power management whacking for ppc might be a good candidate.

Adding another Dave in case its a PPC not an IDE triggered change here
Comment 4 David Woodhouse 2005-05-10 08:10:16 EDT
Hmmm. Nothing obvious here...

$ cvs diff -r1.1268 -r1.1275 kernel-2.6.spec | grep -A20 changelog
 %changelog
+* Wed Apr 27 2005 Dave Jones <davej@redhat.com>
+- Hopefully fix the random reboots some folks saw on x86-64.
+
+* Wed Apr 27 2005 Jeremy Katz <katzj@redhat.com>
+- fix prereqs for -devel packages
+
+* Wed Apr 27 2005 Rik van Riel <riel@redhat.com>
+- Fix up the vdso stuff so kernel-xen* compile again
+- Import upstream bugfix so xenU domains can be started again
+
 * Tue Apr 26 2005 Dave Jones <davej@redhat.com>
+- Fix up the vdso again, which broke on the last rebase to -rc3
 - Fix the put_user() fix. (#155999)

 * Mon Apr 25 2005 Dave Jones <davej@redhat.com>
Comment 5 Alan Cox 2005-05-10 08:36:07 EDT
Do the messages appear on the console or just in the log ?
Comment 6 John Reiser 2005-05-10 09:26:32 EDT
They appear only in /var/log/messages, and not on the text console.  I was
perusing the log as a general survey for a testing release: "Let's see what is
under this rock." 
Comment 7 Dave Jones 2005-06-27 19:19:59 EDT
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.
Comment 8 John Reiser 2005-06-27 19:35:55 EDT
The same symptoms still appear when booting FC4 final release
kernel-2.6.11-1.1369_FC4 on Mac mini (PowerPC32).
Comment 9 Dave Jones 2005-07-15 17:12:33 EDT
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.
Comment 10 John Reiser 2005-07-15 20:33:49 EDT
The same lines still appear in /var/log/messages under kernel-2.6.12-1.1398_FC4
on ppc32 (Apple Macintosh mini with Matsushita CD-RW).
Comment 11 Alan Cox 2005-08-08 08:57:56 EDT
Still looks correct to me - some application is issuing commands the drive does
not support so it rejects them.
Comment 12 Dave Jones 2005-09-30 02:18:54 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 13 John Reiser 2005-09-30 16:42:38 EDT
Using kernel-2.6.13-1.1526_FC4 and booting directly into single user mode, the
same messages appear in output from dmesg, with a new message line "cdrom: open
failed" following each "ide: failed opcode was: unknown".
Comment 14 Dave Jones 2005-11-10 14:17:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 15 John Reiser 2005-11-10 23:51:30 EST
kernel-2.6.14-1.1637_FC4 still gives the same complaints about hdb: packet
command error status=0x51 error=0x54 LastFailedSense=0x05.  The messages appear
in /var/log/messages and not on the text console.  This is PowerPC-32 Apple Mac
mini.
Comment 16 Dave Jones 2006-02-03 00:20:26 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 17 John Reiser 2006-02-03 10:47:10 EST
kernel-2.6.15-1.1884_FC5 still gives the same complaints about hdb: packet
command error status=0x51 error=0x54 LastFailedSense=0x05.  The messages appear
in /var/log/messages and not on the text console.  This is PowerPC-32 Apple Mac
mini.  [The FC4 install was wiped, then FC5test1 was installed, then FC5test1
was wiped, then FC5test2 was installed and updated via yum.  Changing Version to
fc5test2.]
Comment 18 sean 2006-03-04 16:18:47 EST
Something like this also happens on x86_64.

I'm getting these messages from the cdrom drive - hdc - both on the console  and
syslog on amd64:

Mar  4 07:05:25 amd64-3000 kernel: hdc: media error (bad sector): status=0x51 {
DriveReady SeekComplete Error }
Mar  4 07:05:25 amd64-3000 kernel: hdc: media error (bad sector): error=0x30 {
LastFailedSense=0x03 }
Mar  4 07:05:25 amd64-3000 kernel: end_request: I/O error, dev hdc, sector 64
Mar  4 07:05:25 amd64-3000 kernel: Buffer I/O error on device hdc, logical block 8

Linux amd64-3000 2.6.15-1.2009.4.2_FC5

As far as I can tell, the drive reads and burns just fine.
Comment 19 Daryl Hochhalter 2006-06-03 10:41:22 EDT
I've been having a similar problem on an AMD Athlon i386 system.
Log Message:
kernel: hda: dma_intr: status=0x51 {DriveReady SeekComplete Error}
kernel: hda: dma_intr: error=0x84 {DriveStatusError BadCRC}
kernel: ide: failed opcode was: unknown

This message has repeated itself at varying time intervals,
ranging from minutes to hours in the log.

I have changed cables, measured cables, 40 wire, 80 wire, nothing
has made a real difference.
I have tried FC 5 and subsequent kernel updates.
I haven't done anything to the kernels, thought I had it fixed when I connected
to what would be the normal slave of the cable, but it just took an hour that time.
I have tried hdparm -AkS and plan to try more, but these were unknown 
by default when I did hdparm -I.

FIC SD11 MOBO Via82C686a chipset
Maxtor 4D040H2 (40 GB 5400 66mhz) udma4, which the MOBO says it supports.
I know there are bugs with via and maxtor but should be fixed in bios on my
board. umaskirq=1 drive status is: active/idle, just wonder if these
could be significant.

Everything seems to work fine, accept I build up very large log files over time,
and it just seems like there should be a fix.

PS: Just since the last reboot, message after 1 min, then 20 min. then 5 min., I
just don't get the variable time intervals?
I've wondered if this could be something with the system clock, I've never tried
overclocking, but this is a pretty old system, just had to change the cmos battery?
Comment 20 Dave Jones 2006-10-16 13:51:57 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 21 John Reiser 2006-10-17 13:10:43 EDT
The problem was last observed booting  kernel-2.6.18-1.2726.fc6 yesterday Oct.16.
The problem has not been observed with kernel-2.6.18-1.2784.fc6 today Oct.17,
but neither do I see it when going back to 2726 today; sigh.  Hardware is
PowerPC Apple Macintosh mini.
Comment 22 John Reiser 2006-10-17 13:13:31 EDT
Administrivia: "needinfo?" flag was still set; trying to clear it.
Comment 23 Bug Zapper 2008-04-03 12:08:07 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 24 John Reiser 2008-04-04 23:03:05 EDT
The problem has disappeared; I no longer see the message in /var/log/messages.

Note You need to log in before you can comment on or make changes to this bug.